package market.Qms.com.vo;

import java.io.Serializable;
import java.util.Date;

import market.Qms.com.mapper.BasePhyMapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Id;
import com.hnshituo.orm.annotation.Table;

@Table(name="COM_BASE_PHY", namespace=BasePhyMapper.class)
public class BasePhy extends BaseVO implements Serializable {

	/** 材质检验项代码 */
	@Id("PHY_CODE_S")
	private String phyCodeS;

	/** 材质检验项名称 */
	@Column("PHY_NAME_S")
	private String phyNameS;

	/** 材质大类代码(A:拉伸,B:冲击,C:硬度....) */
	@Column("PHY_CODE_L")
	private String phyCodeL;

	/** 材质试样组代码 */
	@Column("PHY_CODE_M")
	private String phyCodeM;

	/** 值单位 */
	@Column("PHY_UNIT")
	private String phyUnit;

	/** 准备时间(小时) */
	@Column("HOUR_READY")
	private Integer hourReady;

	/** 试验时间小时) */
	@Column("HOUR_TEST")
	private Integer hourTest;

	/** 创建人 */
	@Column("CREATE_NAME")
	private String createName;

	/** 创建时间 */
	@Column("CREATE_TIME")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date createTime;

	/** 修改人 */
	@Column("UPDATE_NAME")
	private String updateName;

	/** 修改时间 */
	@Column("UPDATE_TIME")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date updateTime;

	/** 删除人 */
	@Column("DELETE_NAME")
	private String deleteName;

	/** 删除时间 */
	@Column("DELETE_TIME")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date deleteTime;

	/** 有效标志(1:有效，0:无效) */
	@Column
	private String validflag;

	/** 备注 */
	@Column
	private String memo;

	/** 材质大类(A:拉伸,B:冲击,C:硬度....) */
	private String phyNameL;

	/** 材质试样组 */
	private String phyNameM;
	
	/** 修约位数(保留几位小数) */
	@Column("ROUND_OFF_DIGITS")
	private Integer roundOffDigits;

	/** 修约规则代码(COM_BASE_INFO:4108) */
	@Column("ROUND_OFF_RULES_CODE")
	private String roundOffRulesCode;
	
	/** 修约规则名称(COM_BASE_INFO:4108) */
	@Column("ROUND_OFF_RULES_NAME")
	private String roundOffRulesName;
	
	public String getPhyNameL() {
		return phyNameL;
	}

	public void setPhyNameL(String phyNameL) {
		this.phyNameL = phyNameL;
	}

	public String getPhyNameM() {
		return phyNameM;
	}

	public void setPhyNameM(String phyNameM) {
		this.phyNameM = phyNameM;
	}

	public String getPhyCodeS() {
		return this.phyCodeS;
	}

	public String getPhyNameS() {
		return this.phyNameS;
	}

	public String getPhyCodeL() {
		return this.phyCodeL;
	}

	public String getPhyCodeM() {
		return this.phyCodeM;
	}

	public String getPhyUnit() {
		return this.phyUnit;
	}

	public Integer getHourReady() {
		return this.hourReady;
	}

	public Integer getHourTest() {
		return this.hourTest;
	}

	public String getCreateName() {
		return this.createName;
	}

	public Date getCreateTime() {
		return this.createTime;
	}

	public String getUpdateName() {
		return this.updateName;
	}

	public Date getUpdateTime() {
		return this.updateTime;
	}

	public String getDeleteName() {
		return this.deleteName;
	}

	public Date getDeleteTime() {
		return this.deleteTime;
	}

	public String getValidflag() {
		return this.validflag;
	}

	public String getMemo() {
		return this.memo;
	}

	public Integer getRoundOffDigits() {
		return roundOffDigits;
	}

	public String getRoundOffRulesCode() {
		return roundOffRulesCode;
	}

	public String getRoundOffRulesName() {
		return roundOffRulesName;
	}

	public void setPhyCodeS(String phyCodeS) {
		this.phyCodeS = phyCodeS;
	}

	public void setPhyNameS(String phyNameS) {
		this.phyNameS = phyNameS;
	}

	public void setPhyCodeL(String phyCodeL) {
		this.phyCodeL = phyCodeL;
	}

	public void setPhyCodeM(String phyCodeM) {
		this.phyCodeM = phyCodeM;
	}

	public void setPhyUnit(String phyUnit) {
		this.phyUnit = phyUnit;
	}

	public void setHourReady(Integer hourReady) {
		this.hourReady = hourReady;
	}

	public void setHourTest(Integer hourTest) {
		this.hourTest = hourTest;
	}

	public void setCreateName(String createName) {
		this.createName = createName;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	public void setUpdateName(String updateName) {
		this.updateName = updateName;
	}

	public void setUpdateTime(Date updateTime) {
		this.updateTime = updateTime;
	}

	public void setDeleteName(String deleteName) {
		this.deleteName = deleteName;
	}

	public void setDeleteTime(Date deleteTime) {
		this.deleteTime = deleteTime;
	}

	public void setValidflag(String validflag) {
		this.validflag = validflag;
	}

	public void setMemo(String memo) {
		this.memo = memo;
	}

	public void setRoundOffDigits(Integer roundOffDigits) {
		this.roundOffDigits = roundOffDigits;
	}

	public void setRoundOffRulesCode(String roundOffRulesCode) {
		this.roundOffRulesCode = roundOffRulesCode;
	}

	public void setRoundOffRulesName(String roundOffRulesName) {
		this.roundOffRulesName = roundOffRulesName;
	}

}
